%define		_class		HTTP
%define		_subclass	Download
%define		upstream_name	%{_class}_%{_subclass}

%global		__requires_exclude pear\\(Archive/Zip.php\\)

Name:		php-pear-%{upstream_name}
Version:	1.1.4
Release:	%mkrel 7
Summary:	Send HTTP Downloads
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/HTTP_Download/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Provides an easy interface to send hidden files or any arbitrary data to
the client over HTTP. It features HTTP Caching, Compression and Ranges
(partial downloads and resuming).

NOTE: Don't use with PHP's on-the-fly output compression, because files
may be sent coruppted.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 luigiwalser <luigiwalser> 1.1.4-7.mga6
+ Revision: 964601
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 1.1.4-6.mga6
+ Revision: 964367
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.4-5.mga5
+ Revision: 743148
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.4-4.mga5
+ Revision: 687292
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.1.4-3.mga4
+ Revision: 516819
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.4-2.mga3
+ Revision: 376323
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 spuhler <spuhler> 1.1.4-1.mga1
+ Revision: 42588
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTTP_Download

